Package io.dapr.exceptions

# Class DaprError

java.lang.Object
io.dapr.exceptions.DaprError

public class DaprError extends Object
Represents an error message from Dapr.

## Constructor Summary

Constructors
Constructor
Description
`DaprError()`

## Method Summary

Modifier and Type
Method
Description
`List<Map<String,Object>>`
`getDetails()`
Gets the error details.
`String`
`getErrorCode()`
Gets the error code.
`String`
`getMessage()`
Gets the error message.
`DaprError`
`setDetails(List<Map<String,Object>> details)`
Sets the error details.
`DaprError`
`setErrorCode(String errorCode)`
Sets the error code.
`DaprError`
`setMessage(String message)`
Sets the error message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DaprError

public DaprError()

## Method Details

### getErrorCode

public String getErrorCode()
Gets the error code.

Returns:
  Error code.

### setErrorCode

public DaprError setErrorCode(String errorCode)
Sets the error code.

Parameters:
  `errorCode` - Error code.
Returns:
  This instance.

### getMessage

public String getMessage()
Gets the error message.

Returns:
  Error message.

### setMessage

public DaprError setMessage(String message)
Sets the error message.

Parameters:
  `message` - Error message.
Returns:
  This instance.

### getDetails

public List<Map<String,Object>> getDetails()
Gets the error details.

Returns:
  Error details.

### setDetails

public DaprError setDetails(List<Map<String,Object>> details)
Sets the error details.

Parameters:
  `details` - Error details.
Returns:
  This instance.